Package org.opensaml.soap.util

# Enum Class SOAPVersion

java.lang.Object
java.lang.Enum<SOAPVersion>
org.opensaml.soap.util.SOAPVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<SOAPVersion>`, `Constable`

public enum SOAPVersion extends Enum<SOAPVersion>
Enum for representing SOAP versions.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SOAP_1_1`
SOAP 1.1.
`SOAP_1_2`
SOAP 1.2.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SOAPVersion()`

## Method Summary

Modifier and Type
Method
Description
`static SOAPVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SOAPVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOAP_1_1

public static final SOAPVersion SOAP_1_1
SOAP 1.1.

### SOAP_1_2

public static final SOAPVersion SOAP_1_2
SOAP 1.2.

## Constructor Details

### SOAPVersion

private SOAPVersion()

## Method Details

### values

public static SOAPVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SOAPVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null